aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorweijun <none@none>2013-11-19 14:14:14 +0800
committerweijun <none@none>2013-11-19 14:14:14 +0800
commit9f7d44e06eb14b84e5fe1f02225efb30761d0932 (patch)
tree867d8b75cc805e05008cbf1cb461a973f0e4b68d /test
parentc80ce92c9faceef4a851aa531ce469db7c05ce7f (diff)
8028479: runNameEquals still cannot precisely detect if a usable native krb5 is available
Reviewed-by: xuelei
Diffstat (limited to 'test')
-rw-r--r--test/sun/security/krb5/runNameEquals.sh13
1 files changed, 11 insertions, 2 deletions
diff --git a/test/sun/security/krb5/runNameEquals.sh b/test/sun/security/krb5/runNameEquals.sh
index b9cfb08d8..7ee81e505 100644
--- a/test/sun/security/krb5/runNameEquals.sh
+++ b/test/sun/security/krb5/runNameEquals.sh
@@ -57,10 +57,10 @@ case "$OS" in
FILESEP="/"
NATIVE=true
# Not all *nix has native GSS libs installed
- krb5-config --libs gssapi 2> /dev/null
+ krb5-config --libs 2> /dev/null
if [ $? != 0 ]; then
# Fedora has a different path
- /usr/kerberos/bin/krb5-config --libs gssapi 2> /dev/null
+ /usr/kerberos/bin/krb5-config --libs 2> /dev/null
if [ $? != 0 ]; then
NATIVE=false
fi
@@ -97,6 +97,15 @@ if [ "${NATIVE}" = "true" ] ; then
if [ $? != 0 ] ; then
echo "Native provider fails"
EXIT_STATUS=1
+ if [ "$OS" = "Linux" -a `arch` = "x86_64" ]; then
+ ${TESTJAVA}${FILESEP}bin${FILESEP}java -XshowSettings:properties -version 2> allprop
+ cat allprop | grep sun.arch.data.model | grep 32
+ if [ "$?" = "0" ]; then
+ echo "Running 32-bit JDK on 64-bit Linux. Maybe only 64-bit library is installed."
+ echo "Please manually check if this is the case. Treated as PASSED now."
+ EXIT_STATUS=0
+ fi
+ fi
fi
fi